org.eclipse.oomph.ui

## Class UIUtil

- java.lang.Object
- - org.eclipse.oomph.ui.UIUtil

-     public final class UIUtil
      extends Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IWorkbench` | `WORKBENCH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GridData` | `applyGridData(Control control)`
    `static void` | `asyncExec(Display display, Runnable runnable)`
    `static void` | `asyncExec(Runnable runnable)`
    `static void` | `exec(Display display, boolean async, Runnable runnable)`
    `static Display` | `getDisplay()`
    `static IDialogSettings` | `getOrCreateSection(IDialogSettings settings, String sectionName)`
    `static Shell` | `getShell()`
    `static GridData` | `grabVertical(GridData data)`
    `static void` | `handleException(Throwable ex)`
    `static void` | `runInProgressDialog(Shell shell, IRunnableWithProgress runnable)`
    `static void` | `syncExec(Display display, Runnable runnable)`
    `static void` | `syncExec(Runnable runnable)`
    `static void` | `timerExec(int milliseconds, Display display, Runnable runnable)`
    `static void` | `timerExec(int milliseconds, Runnable runnable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WORKBENCH

          public static final IWorkbench WORKBENCH

  - ### Method Detail

    - #### getDisplay

          public static Display getDisplay()

    - #### getShell

          public static Shell getShell()

    - #### applyGridData

          public static GridData applyGridData(Control control)

    - #### grabVertical

          public static GridData grabVertical(GridData data)

    - #### runInProgressDialog

          public static void runInProgressDialog(Shell shell,
                                 IRunnableWithProgress runnable)
                                          throws InvocationTargetException,
                                                 InterruptedException

      Throws:
        `InvocationTargetException`
        `InterruptedException`

    - #### handleException

          public static void handleException(Throwable ex)

    - #### exec

          public static void exec(Display display,
                  boolean async,
                  Runnable runnable)

    - #### asyncExec

          public static void asyncExec(Runnable runnable)

    - #### asyncExec

          public static void asyncExec(Display display,
                       Runnable runnable)

    - #### timerExec

          public static void timerExec(int milliseconds,
                       Runnable runnable)

    - #### timerExec

          public static void timerExec(int milliseconds,
                       Display display,
                       Runnable runnable)

    - #### syncExec

          public static void syncExec(Runnable runnable)

    - #### syncExec

          public static void syncExec(Display display,
                      Runnable runnable)

    - #### getOrCreateSection

          public static IDialogSettings getOrCreateSection(IDialogSettings settings,
                                           String sectionName)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html